/*********************************************************************
 *  SPDX-License-Identifier: MIT									 *
 *  Copyright (C) 2007-2023 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of filmat11.                                   *
 *********************************************************************/
#ifndef _ABOUTHELP_H_
#define _ABOUTHELP_H_

#include <QDialog>
#include <QFont>
#include <QPoint>

#include "ui_abouthelp.h"

/*
#include <iostream>		// debug only
using namespace std;	// debug only
*/

class AboutHelp : public QDialog
{
	Q_OBJECT

public:
	AboutHelp(QDialog* parent = 0);
		~AboutHelp();

private:
	int iD;						// used to move about widget close to about button
	int iD2;					// used to move about widget close to about button
	int iDlg;					// dialog type: 2=about, 3=help
	int iFontSize;				// font size of dialog
	int iHeight;				// dialog height
	int iPosX;					// x coordinate to show widget
	int iPosY;					// y coordinate to show widget
	int iWidth;					// dialog width

	Ui::Help uih;				// help widget

	QDialog wHelp;				// help widget
	
	QPoint qPos;
	
	QString sD;
	QString sD2;
	QString sText;				// about/help/error text
	QString sTitle;				// dialog title

private slots:
	void dlgClose();			// close dialog
	void dlgShow(int iD);		// show dialog: 2=about, 3=Help
	void textSet();				// set text to show: 1=About (html), 2=Help (html)
	
	signals:
		void sigWahClose();		// close and delete about help widget
};

#endif
