/*********************************************************************
 *  SPDX-License-Identifier: MIT									 *
 *  Copyright (C) 2010-2024 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of filmat11.                                   *
 *********************************************************************/
#include "filmat11.h"

#include <QApplication>
#include <QStringList>

#include <iostream>
using namespace std;

int main(int argc, char **argv)
{
  QApplication app(argc, argv);

  if (argc > 1) {
    cout << "\n###  filmat11 - a video player using mpv, Qt6 based\n"
              "###  Version 0.9.8\n"
              "###  Copyright (C) 2010-2024 by Helge Kortendieck, alan@kasmithee.de\n"
              "###  Released under the MIT license\n"
              "###  \n"
              "###  filmat11 is a GUI program and requires X11 or a wayland compositor to run.\n"
              "###  Use 'man filmat11' to see a short program description.\n"
              "###  To run the program, start it without arguments.\n" << endl;
    return 0;
  }

  Fa11 fa11;
  fa11.show();
  return app.exec();
}
