/*********************************************************************
 *  SPDX-License-Identifier: MIT									 *
 *  Copyright (C) 2010-2023 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of filmat11.                                   *
 *********************************************************************/

#ifndef _SETTINGS_H
#define _SETTINGS_H

#include <QApplication>
#include <QDialog>
#include <QFileDialog>
#include <QFileInfo>
#include <QMessageBox>
#include <QSettings>
#include <QPoint>
#include <QSize>
#include <QString>
#include <QStringList>
//#include <QWidget>

#include "ui_settings.h"

//#include <iostream>	// debug only
//using namespace std;	// debug only

class SetDlg : public QDialog		// settings dialog
{
	Q_OBJECT

	public:
		SetDlg(QDialog *parent = 0);
			~SetDlg();

	protected:

	private:
		bool sd_bD;
		bool sd_bD2;

		int sd_iD;
		int sd_iD2;
		int sd_iDirToGet;				// which dir to get? 1=audio master dir, 2=video master dir

		Ui::SettingsDlg uiDlgSet;	// settings dialog widget

		QDialog wDlgSet;			// settings dialog widget

		QPoint sd_qPos;

//		QSize size;

		QString sd_sD;
		QString sd_sRootDir;
		QString sd_sRootDirSelected;

		QStringList sd_slD;

	private slots:
		void clickedClose();		// close clicked in settings dialog
		void clickedSave();			// save clicked in settings dialog

		bool rootDirChk(const QString &sd_sD);	// check if root directory is valid
		void rootDirDlgClicked();				// button to set root directory clicked
		void rootDirSet();						// set the programs root directory

		void saveEnable(bool sd_bD);			// enable=true / disable=false save button

		void setDlgClose();			// close settings dialog
		void setDlgShow();			// show settings dialog


		void settingsRead();
		void settingsWrite();
		void settingsWritePos();	// pos and size only

		signals:
			void sigSetDlgClose(bool sd_bD);	// close and delete settings dialog widget, true = re-read settings
};

#endif 
