/*********************************************************************
 *  SPDX-License-Identifier: MIT                                     *
 *  Copyright (C) 2010-2023 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of filmat11.                                   *
 *********************************************************************/
#ifndef _STRUCTS_H_
#define _STRUCTS_H_

#include <QString>
#include <QStringList>

struct StrFilter {				// struct of current movie filter
	int iType;						// 0=none, 1=Genre, 2=Language, 3=Tag
	QString sText;					// filter text
};

struct StrMovie {			// movie definition
	QString sPath;          	// path to movie
	QString sName;          	// movie name
	QString sSuffix;        	// movie name suffix
	QString sGenre;				// genre, e. g. 40-60 or Jane Austin
	QString sLang1;				// language
	QString sLang2;				// language
	QString sTag1;				// search tag, e. g. actor, actress, director
	QString sTag2;				// search tag
	QString sTag3;				// search tag
	QString sTag4;				// search tag
	float fSize;				// size in GB
};

struct StrTagsLists {		// lists with tags entries, genre, language and tags
	QStringList slGenres;		// list with genre tags
	QStringList slLangs;        // list with language tags
	QStringList slTags;        	// list with tag tags
};

struct StrMb {				// message box definition
	int mbType;					// 1=Info, 2=Warning, 3=Critical, 4=Question, 5=Question yes/no/cancel
	QString mbTitle;			// title
	QString mbText;				// text
	QString mbAccText;			// accept button text
	QString mbRejText;			// reject button text
	QString mbDestrText;		// destructive button text (cancel, no but continue)
};

#endif  // _STRUCTS_H_

